#q:=3;
Read("classical_group.g");
Read("amalgam.g");

# O_7(q) = Q(6,q) (for odd q)
#
#   Root group sizes: [ q, q, q ]
#   Subgroup sizes: [ q^4, q^2, q^3 ]
#   Size(U) = q^9
#   Expected index: q^5
#
# For q=2 we get an infinite cover
# For q=3 we get a 81=3^4 fold cover
# For q=4 we get a 4 fold cover
#
# Covering degree 1 verified using coset enumeration for
#   q in [5,7,8,9,11,13,16]
#
# Checking again, using Sims' trick: simply connected for
#   q in [5,7,8,9,11,13,16,17,19,23]
#
unip:=UnipotentRootGroups(GF(q), 3, 1, 1, 1);
CoveringDegree(unip);
